Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface ExtendedSourceType

All Known Implementing Classes:
  ExtendedSourceTypeImpl

    public interface ExtendedSourceType

Used to handle situations where content associated with more than one container (e.g., a quotation is found in book A but is attributed to book B). The source element is the container where the content is actually found; the original element is the true source of the content. In rare cases, a middle element be necessary to describe an intermediate container. Java content class for extendedSourceType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 494)

     <complexType name="extendedSourceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="source" type="{http://infoml.org/infomlFile}agentContainerLocationType"/>
             <element name="middle" type="{http://infoml.org/infomlFile}agentContainerLocationType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="foundIn" type="{http://infoml.org/infomlFile}agentContainerLocationType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`AgentContainerLocationType` | `getFoundIn()` Gets the value of the foundIn property.
`java.util.List` | `getMiddle()` Gets the value of the Middle property.
`AgentContainerLocationType` | `getSource()` Gets the value of the source property.
`void` | `setFoundIn(AgentContainerLocationType value)` Sets the value of the foundIn property.
`void` | `setSource(AgentContainerLocationType value)` Sets the value of the source property.

Method Detail

### getSource

    AgentContainerLocationType getSource()

  Gets the value of the source property.

  Returns:
    possible object is `AgentContainerLocationType`

### setSource

    void setSource(AgentContainerLocationType value)

  Sets the value of the source property.

  Parameters:
    `value` - allowed object is `AgentContainerLocationType`

### getMiddle

    java.util.List getMiddle()

  Gets the value of the Middle property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Middle property.

  For example, to add a new item, do as follows:

          getMiddle().add(newItem);

  Objects of the following type(s) are allowed in the list `AgentContainerLocationType`

### getFoundIn

    AgentContainerLocationType getFoundIn()

  Gets the value of the foundIn property.

  Returns:
    possible object is `AgentContainerLocationType`

### setFoundIn

    void setFoundIn(AgentContainerLocationType value)

  Sets the value of the foundIn property.

  Parameters:
    `value` - allowed object is `AgentContainerLocationType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD